@echo on
rem @echo off
set PATH=D:\DBB\BIN;C:\DBB\BIN;C:\WINDOWS;C:\WINDOWS\COMMAND
del *.csf
del *.m51
del *.abs
del *.tmp
del *.hex

a51 initialz.a51
a51 executiv.a51
a51 internal.a51
a51 patchcst.a51
a51 commands.a51

l51 @lower
oh51 upload.abs

ren upload.m51 lower.m51
grep -v :000000 upload.hex | sort /+4 > lower.hex
grep :000000 upload.hex >> lower.hex
hexmv lower.hex > dpu.hex
hex2cmd lower.hex
ren LOWER.CSF lower.csf
copy lower.csf v%1l.csf

l51 @upper
oh51 upload.abs
ren upload.m51 upper.m51

grep -v :000000 upload.hex | sort /+4 > upper.hex
grep :000000 upload.hex >> upper.hex
hex2cmd upper.hex
ren UPPER.CSF upper.csf
copy upper.csf v%1u.csf

goto skip1
l51 @bootmode
oh51 bootmode.abs
hex2cmd bootmode.hex

a51 initialz.a51 set(PARTIAL)
a51 executiv.a51 set(PARTIAL)
a51 internal.a51 set(PARTIAL)
a51 patchcst.a51 set(PARTIAL)
a51 commands.a51 set(PARTIAL)

@l51 @partial
oh51 upload.abs
ren upload.m51 partial.m51

grep -v :000000 upload.hex | sort /+4 > partial.hex
grep :000000 upload.hex >> partial.hex
hex2cmd partial.hex
copy partial.csf v%1p.csf

:skip1

if exist latest.zip del latest.zip
pkzip latest *.a51 *.inc
ftp ozma.ssl.berkeley.edu < f.dat
pkzip t:v%1
:skip

echo ************************************************************************
